-- player entity is deleted when polymorph and new player entity is created after polymorph ends
-- new player entity remembers components we disabled when scene started
-- scene entity with script that enables player no longer exists at this point so player is enabled with this separate script
-- SetTimeOut is needed so player child entities are created before script is executed
-- this script also enables player if you restart or crash during scene
if ComponentGetValue2(EntityGetFirstComponent(EntityGetWithTag("player_unit")[1], "ControlsComponent"), "enabled") == false then
	dofile_once("mods/lewd_noita/files/sex_logic/controls_toggle.lua")
	SetTimeOut(0, "mods/lewd_noita/files/sex_logic/controls_toggle.lua", "enable_entity")
end